use cortex_m::prelude::*;
use embedded_hal::digital::v2::OutputPin;
use stm32f1xx_hal::{
    delay::Delay,
    gpio::{gpioc, Output, PushPull},
};

mod setup;

//use crate::exit;
pub use setup::setup;

pub struct App {
    delay: Delay,
    board_led: gpioc::PC13<Output<PushPull>>,
}

impl App {
    pub fn run(mut self) -> ! {
        defmt::info!("Application Startup!");

        loop {
            defmt::info!("Blink!");
            self.board_led.set_high().unwrap();
            self.delay.delay_ms(500u32);

            defmt::info!("Blonk!");
            self.board_led.set_low().unwrap();
            self.delay.delay_ms(500u32);
        }

        //exit();
    }
}
